#!/bin/bash

# @timestamp serviceName env level message
if (($#!=7));then
    echo "./log-alert.sh %{@timestamp} %{serviceName} %{env} %{level} %{TID} %{message} %{stack_trace}"
    exit 1
fi

if [[ -z $1 || -z $2 || -z $3 || -z $4 || -z $5 || -z $6 || -z $7 ]];then
    echo "one of '%{@timestamp} %{serviceName} %{env} %{level} %{TID} %{message} %{stack_trace}' is empty"
    exit 1
fi

msg="timestamp: $1\nserviceName: $2\nenv: $3\nlevel: $4\ntraceID: $5\nmessage: $6\nstack_trace: $7\n<at user_id=\\\"all\\\"></at>\n"
#echo -ne $msg

curl -X POST -H "Content-Type: application/json" -d "{\"msg_type\":\"text\",\"content\":{\"text\":\"$msg\"}}" https://open.feishu.cn/open-apis/bot/v2/hook/29dd52e5-70d5-44b0-a443-22ea85382646
